<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Новое в темах';
aut();
head();

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];

$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `forum_t`"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$q=$db->sql_query("SELECT * FROM `forum_t` ORDER BY `time` DESC LIMIT $start, $max");
if ($db->sql_numrows($q)==0)echo "Нет сообщений\n";
while ($tem = $db->sql_fetchrow($q))
{


$forum=$db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_f` WHERE `id` = '$tem[f_id]' LIMIT 1"));
$razdel=$db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_r` WHERE `id` = '$tem[r_id]' LIMIT 1"));
$post=$db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_msg` WHERE `t_id` = '$tem[id]' AND `r_id` = '$razdel[id]' AND `f_id` = '$forum[id]' ORDER BY `time` DESC LIMIT 1"));
echo links;
echo "<a href='tema_".$tem['id']."'>$tem[name]</a> <a href='tema_".$tem['id']."_end'>(".$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `forum_msg` WHERE `f_id` = '$forum[id]' AND `r_id` = '$razdel[id]' AND `t_id` = '$tem[id]'"),0).")</a>";

echo div;
echo "<a href='razdel_".$post['f_id']."'>$forum[name]</a> &gt; <a href='temes_".$post['r_id']."'>$razdel[name]</a><br />\n";

echo '<a href="'.H.user_inf($post['user_id']).'">'.user($post['user_id']).'</a> ('.times($post['time']).')<br />'.text($post['msg']).'<br />';

/*$post1=$db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_msg` WHERE `t_id` = '$tem[id]' AND `r_id` = '$razdel[id]' AND `f_id` = '$forum[id]' AND `login` = '$tem[login]' LIMIT 1"));
$ank=$db->sql_fetchrow($db->sql_query("SELECT * FROM `users` WHERE `id` = $tem[login] LIMIT 1"));
echo "Автор: <a href='".H."$ank[id]' title='Анкета \"$ank[user]\"'>$ank[user]</a> (".date("d.m в H:i", $post1['time']).")<br />\n";*/


}
if ($k_page>1){
echo '<br /><dl><dt></dt></dl>';
str("?",$k_page,$page); // Вывод страниц
echo '<br /><dl><dt></dt></dl>';
}

echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot ();
?>